[RFE]: Add few more capabilities to ironic inspection

Bug #1599425 reported by Nisha Agarwal on 2016-07-06
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ironic
Fix Released
Wishlist
Nisha Agarwal

Bug Description

This RFE proposes to discover and add few more capabilities to ironic inspection.

- Trusted_boot
- iscsi_boot
- boot_mode_uefi
- boot_mode_bios
- sr-iov_capable_NIC_enabled
- sr-iov_capable_GPU_enabled
- iscsi_iqn
- drive_type (ssd/rotational)
- rotational_drive_rpm
- raid_level
- eth_1gb, eth_10gb, eth_100gb
- cpu_vt
- <vendor>_gpu_count
- gpu_<vendor>_id
- gpu_vendor_<product>_id

It can be done out-of-band or inband as per driver's wish.

Dmitry Tantsur (divius) wrote :

Hi! I'd like us to finally have a spec on capabilities, so that we have a place to refer to when adding more capabilities.

tags: added: rfe
Changed in ironic:
status: New → Confirmed
importance: Undecided → Wishlist
summary: - RFE: Add few more capabilities to ilo drivers oob inspection
+ [RFE]: Add few more capabilities to ilo drivers oob inspection

I agree but that shouldnt block this RFE, correct? There is already a spec raised for capabilities in ilo drivers. https://review.openstack.org/338138

description: updated
summary: - [RFE]: Add few more capabilities to ilo drivers oob inspection
+ [RFE]: Add few more capabilities to ironic inspection
description: updated
Ruby Loo (rloo) on 2016-11-21
tags: added: needs-spec

Fix proposed to branch: master
Review: https://review.openstack.org/422902

Changed in ironic:
assignee: nobody → Nisha Agarwal (agarwalnisha1980)
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/338138
Committed: https://git.openstack.org/cgit/openstack/ironic-specs/commit/?id=e4c64776822326a71aa38ca4e46708cb97dd594d
Submitter: Jenkins
Branch: master

commit e4c64776822326a71aa38ca4e46708cb97dd594d
Author: Nisha Agarwal <email address hidden>
Date: Wed Jul 6 09:14:04 2016 +0000

    Add new capabilities to ironic

    This spec proposes to add few more capabilities
    which can be implemented inband or out-of-band
    as per driver's need.

    Related-Bug: 1599425
    Change-Id: I4213668273ffa954dd30818b74a58d11153d5f97

Ruby Loo (rloo) on 2017-08-16
tags: added: rfe-approved
removed: needs-spec rfe

Reviewed: https://review.openstack.org/422902
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=cdab37f6990f9c5aea68b82f723137bd0611cbb8
Submitter: Jenkins
Branch: master

commit cdab37f6990f9c5aea68b82f723137bd0611cbb8
Author: Nisha Agarwal <email address hidden>
Date: Thu Jan 19 22:24:17 2017 +0000

    Add the new capabilities to the iLO InspectInterface

    This patch adds the new capabilities to iLO InspectInterface
    as listed in the specification. It requires proliantutils
    version >=2.4.0 for these new capabilities.

    This patch also removes three capabilities keys from
    iLO InspectInterface - ``max_raid_level``, ``BootMode``, and
    ``sr_iov_devices``.
    max_raid_level - It cannot be discovered out-of-band using
    proliantutils. The capability is set during RAID configuration
    as ``raid_level`` instead.
    sr_iov_devices - It cannot be discovered out-of-band. Required
    Inband mechanism to discover this.
    BootMode - This capability required Nova to change as the value
    was supposed to be a list of supported boot modes on the system.
    Nova asked to implement the Boolean capabilities instead.

    Partial-Bug: 1599425

    Change-Id: I64c3e471d55c2020204cf7a20e50c399e43eccf7

Reviewed: https://review.openstack.org/495130
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=4e3a51847d9a0b22def41ea23ab3cc92ba17a58a
Submitter: Jenkins
Branch: stable/pike

commit 4e3a51847d9a0b22def41ea23ab3cc92ba17a58a
Author: Nisha Agarwal <email address hidden>
Date: Thu Jan 19 22:24:17 2017 +0000

    Add the new capabilities to the iLO InspectInterface

    This patch adds the new capabilities to iLO InspectInterface
    as listed in the specification. It requires proliantutils
    version >=2.4.0 for these new capabilities.

    This patch also removes three capabilities keys from
    iLO InspectInterface - ``max_raid_level``, ``BootMode``, and
    ``sr_iov_devices``.
    max_raid_level - It cannot be discovered out-of-band using
    proliantutils. The capability is set during RAID configuration
    as ``raid_level`` instead.
    sr_iov_devices - It cannot be discovered out-of-band. Required
    Inband mechanism to discover this.
    BootMode - This capability required Nova to change as the value
    was supposed to be a list of supported boot modes on the system.
    Nova asked to implement the Boolean capabilities instead.

    Partial-Bug: 1599425

    Change-Id: I64c3e471d55c2020204cf7a20e50c399e43eccf7
    (cherry picked from commit cdab37f6990f9c5aea68b82f723137bd0611cbb8)

tags: added: in-stable-pike
Ruby Loo (rloo) wrote :

Nisha, is this work finished?

Ruby Loo (rloo) wrote :
Changed in ironic:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers